Menu
Reply
mcguireed
  • 4
  • 0
  • 0
Tuning in
185 Views
Message 1 of 3
Flag for a moderator

Sky sports App

I am trying to load the Skysports app onto my iPad which is running IOS 10.3 however the app says that you require IOS 11 to run it. Is the app not backward compatible. Surely I do not need to buy a new IPad to watch the Skysports that I already pay for. If so this is ludicrous 

Tags (1)
0 Kudos
Reply
Richw1982
  • 114
  • 11
  • 24
Up to speed
177 Views
Message 2 of 3
Flag for a moderator

Re: Sky sports App

The app is owned by sky who develop the app.  Apple stop updates on devices over a certain age.  Not sure who is to blame then

0 Kudos
Reply
BenMcr
  • 21.39K
  • 2.32K
  • 4.28K
Very Insightful Person
Very Insightful Person
141 Views
Message 3 of 3
Flag for a moderator

Re: Sky sports App

A lot of iOS apps are at least iOS 11 or later these days. iOS 11 was the first '64 bit only' version of iOS and apps are forward compatible for later versions of iOS which are also 64 bit.

iOS 10 devices may be 32 bit, so apps need to also support that which is extra development work for a low volume of devices as they're around 8 years old or older.
**********************************
I work for Virgin Media - but all opinions posted here are my own